version-graph
Commit annotations
POST
/
api
/
v1
/
version-graph
/
annotations
/
commit
Commit annotations
curl --request POST \
--url https://api.nitsor.com/api/v1/version-graph/annotations/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "<string>",
"deletes": [
"<string>"
],
"idempotencyKey": "<string>",
"message": "<string>",
"projectId": "<string>",
"upserts": [
{
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"geometry": {
"kind": "landmark",
"position": {
"x": 123,
"y": 123,
"z": 123
}
},
"note": "<string>",
"answers": [
{
"fieldId": "<string>",
"value": {
"kind": "boolean",
"value": true
}
}
],
"provenance": "<unknown>"
}
],
"answerDeletes": [
{
"fieldId": "<string>",
"scopeKey": "<string>"
}
],
"answerUpserts": [
{
"assetId": "<string>",
"fieldId": "<string>",
"scopeKey": "<string>",
"value": {
"kind": "boolean",
"value": true
}
}
],
"checkpoint": true,
"taxonomyVersion": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/version-graph/annotations/commit"
payload = {
"branchId": "<string>",
"deletes": ["<string>"],
"idempotencyKey": "<string>",
"message": "<string>",
"projectId": "<string>",
"upserts": [
{
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"geometry": {
"kind": "landmark",
"position": {
"x": 123,
"y": 123,
"z": 123
}
},
"note": "<string>",
"answers": [
{
"fieldId": "<string>",
"value": {
"kind": "boolean",
"value": True
}
}
],
"provenance": "<unknown>"
}
],
"answerDeletes": [
{
"fieldId": "<string>",
"scopeKey": "<string>"
}
],
"answerUpserts": [
{
"assetId": "<string>",
"fieldId": "<string>",
"scopeKey": "<string>",
"value": {
"kind": "boolean",
"value": True
}
}
],
"checkpoint": True,
"taxonomyVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: '<string>',
deletes: ['<string>'],
idempotencyKey: '<string>',
message: '<string>',
projectId: '<string>',
upserts: [
{
annotationId: '<string>',
assetId: '<string>',
classId: '<string>',
geometry: {kind: 'landmark', position: {x: 123, y: 123, z: 123}},
note: '<string>',
answers: [{fieldId: '<string>', value: {kind: 'boolean', value: true}}],
provenance: '<unknown>'
}
],
answerDeletes: [{fieldId: '<string>', scopeKey: '<string>'}],
answerUpserts: [
{
assetId: '<string>',
fieldId: '<string>',
scopeKey: '<string>',
value: {kind: 'boolean', value: true}
}
],
checkpoint: true,
taxonomyVersion: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/version-graph/annotations/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/version-graph/annotations/commit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branchId' => '<string>',
'deletes' => [
'<string>'
],
'idempotencyKey' => '<string>',
'message' => '<string>',
'projectId' => '<string>',
'upserts' => [
[
'annotationId' => '<string>',
'assetId' => '<string>',
'classId' => '<string>',
'geometry' => [
'kind' => 'landmark',
'position' => [
'x' => 123,
'y' => 123,
'z' => 123
]
],
'note' => '<string>',
'answers' => [
[
'fieldId' => '<string>',
'value' => [
'kind' => 'boolean',
'value' => true
]
]
],
'provenance' => '<unknown>'
]
],
'answerDeletes' => [
[
'fieldId' => '<string>',
'scopeKey' => '<string>'
]
],
'answerUpserts' => [
[
'assetId' => '<string>',
'fieldId' => '<string>',
'scopeKey' => '<string>',
'value' => [
'kind' => 'boolean',
'value' => true
]
]
],
'checkpoint' => true,
'taxonomyVersion' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/version-graph/annotations/commit"
payload := strings.NewReader("{\n \"branchId\": \"<string>\",\n \"deletes\": [\n \"<string>\"\n ],\n \"idempotencyKey\": \"<string>\",\n \"message\": \"<string>\",\n \"projectId\": \"<string>\",\n \"upserts\": [\n {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"geometry\": {\n \"kind\": \"landmark\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n },\n \"note\": \"<string>\",\n \"answers\": [\n {\n \"fieldId\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"provenance\": \"<unknown>\"\n }\n ],\n \"answerDeletes\": [\n {\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\"\n }\n ],\n \"answerUpserts\": [\n {\n \"assetId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"checkpoint\": true,\n \"taxonomyVersion\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/version-graph/annotations/commit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branchId\": \"<string>\",\n \"deletes\": [\n \"<string>\"\n ],\n \"idempotencyKey\": \"<string>\",\n \"message\": \"<string>\",\n \"projectId\": \"<string>\",\n \"upserts\": [\n {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"geometry\": {\n \"kind\": \"landmark\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n },\n \"note\": \"<string>\",\n \"answers\": [\n {\n \"fieldId\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"provenance\": \"<unknown>\"\n }\n ],\n \"answerDeletes\": [\n {\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\"\n }\n ],\n \"answerUpserts\": [\n {\n \"assetId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"checkpoint\": true,\n \"taxonomyVersion\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/version-graph/annotations/commit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branchId\": \"<string>\",\n \"deletes\": [\n \"<string>\"\n ],\n \"idempotencyKey\": \"<string>\",\n \"message\": \"<string>\",\n \"projectId\": \"<string>\",\n \"upserts\": [\n {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"geometry\": {\n \"kind\": \"landmark\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n },\n \"note\": \"<string>\",\n \"answers\": [\n {\n \"fieldId\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"provenance\": \"<unknown>\"\n }\n ],\n \"answerDeletes\": [\n {\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\"\n }\n ],\n \"answerUpserts\": [\n {\n \"assetId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"checkpoint\": true,\n \"taxonomyVersion\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"commit": {
"accountId": "<string>",
"ambiguousBase": true,
"authorPrincipalSubject": "<string>",
"authorPrincipalType": "agent",
"branchId": "<string>",
"commitId": "<string>",
"committedAt": "2023-11-07T05:31:56Z",
"contentRoot": "<string>",
"eventRange": {
"fromSeq": 123,
"toSeq": 123
},
"eventRangeDigest": "<string>",
"kind": "annotate",
"message": "<string>",
"parentCommitIds": [
"<string>"
],
"projectId": "<string>",
"authorPrincipalIssuer": "<string>",
"authorPrincipalName": "<string>",
"authorPrincipalEmail": "<string>",
"messageDisplay": "<string>"
},
"kind": "committed"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
At most 256 changes across upserts, deletes, answerUpserts and answerDeletes; an events-only batch (checkpoint: false) carries at least one change; an annotation id appears at most once in upserts and never in both upserts and deletes; a batch that writes a commit and names no taskId carries a message.
⌘I
Commit annotations
curl --request POST \
--url https://api.nitsor.com/api/v1/version-graph/annotations/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "<string>",
"deletes": [
"<string>"
],
"idempotencyKey": "<string>",
"message": "<string>",
"projectId": "<string>",
"upserts": [
{
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"geometry": {
"kind": "landmark",
"position": {
"x": 123,
"y": 123,
"z": 123
}
},
"note": "<string>",
"answers": [
{
"fieldId": "<string>",
"value": {
"kind": "boolean",
"value": true
}
}
],
"provenance": "<unknown>"
}
],
"answerDeletes": [
{
"fieldId": "<string>",
"scopeKey": "<string>"
}
],
"answerUpserts": [
{
"assetId": "<string>",
"fieldId": "<string>",
"scopeKey": "<string>",
"value": {
"kind": "boolean",
"value": true
}
}
],
"checkpoint": true,
"taxonomyVersion": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/version-graph/annotations/commit"
payload = {
"branchId": "<string>",
"deletes": ["<string>"],
"idempotencyKey": "<string>",
"message": "<string>",
"projectId": "<string>",
"upserts": [
{
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"geometry": {
"kind": "landmark",
"position": {
"x": 123,
"y": 123,
"z": 123
}
},
"note": "<string>",
"answers": [
{
"fieldId": "<string>",
"value": {
"kind": "boolean",
"value": True
}
}
],
"provenance": "<unknown>"
}
],
"answerDeletes": [
{
"fieldId": "<string>",
"scopeKey": "<string>"
}
],
"answerUpserts": [
{
"assetId": "<string>",
"fieldId": "<string>",
"scopeKey": "<string>",
"value": {
"kind": "boolean",
"value": True
}
}
],
"checkpoint": True,
"taxonomyVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: '<string>',
deletes: ['<string>'],
idempotencyKey: '<string>',
message: '<string>',
projectId: '<string>',
upserts: [
{
annotationId: '<string>',
assetId: '<string>',
classId: '<string>',
geometry: {kind: 'landmark', position: {x: 123, y: 123, z: 123}},
note: '<string>',
answers: [{fieldId: '<string>', value: {kind: 'boolean', value: true}}],
provenance: '<unknown>'
}
],
answerDeletes: [{fieldId: '<string>', scopeKey: '<string>'}],
answerUpserts: [
{
assetId: '<string>',
fieldId: '<string>',
scopeKey: '<string>',
value: {kind: 'boolean', value: true}
}
],
checkpoint: true,
taxonomyVersion: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/version-graph/annotations/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/version-graph/annotations/commit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branchId' => '<string>',
'deletes' => [
'<string>'
],
'idempotencyKey' => '<string>',
'message' => '<string>',
'projectId' => '<string>',
'upserts' => [
[
'annotationId' => '<string>',
'assetId' => '<string>',
'classId' => '<string>',
'geometry' => [
'kind' => 'landmark',
'position' => [
'x' => 123,
'y' => 123,
'z' => 123
]
],
'note' => '<string>',
'answers' => [
[
'fieldId' => '<string>',
'value' => [
'kind' => 'boolean',
'value' => true
]
]
],
'provenance' => '<unknown>'
]
],
'answerDeletes' => [
[
'fieldId' => '<string>',
'scopeKey' => '<string>'
]
],
'answerUpserts' => [
[
'assetId' => '<string>',
'fieldId' => '<string>',
'scopeKey' => '<string>',
'value' => [
'kind' => 'boolean',
'value' => true
]
]
],
'checkpoint' => true,
'taxonomyVersion' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/version-graph/annotations/commit"
payload := strings.NewReader("{\n \"branchId\": \"<string>\",\n \"deletes\": [\n \"<string>\"\n ],\n \"idempotencyKey\": \"<string>\",\n \"message\": \"<string>\",\n \"projectId\": \"<string>\",\n \"upserts\": [\n {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"geometry\": {\n \"kind\": \"landmark\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n },\n \"note\": \"<string>\",\n \"answers\": [\n {\n \"fieldId\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"provenance\": \"<unknown>\"\n }\n ],\n \"answerDeletes\": [\n {\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\"\n }\n ],\n \"answerUpserts\": [\n {\n \"assetId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"checkpoint\": true,\n \"taxonomyVersion\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/version-graph/annotations/commit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branchId\": \"<string>\",\n \"deletes\": [\n \"<string>\"\n ],\n \"idempotencyKey\": \"<string>\",\n \"message\": \"<string>\",\n \"projectId\": \"<string>\",\n \"upserts\": [\n {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"geometry\": {\n \"kind\": \"landmark\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n },\n \"note\": \"<string>\",\n \"answers\": [\n {\n \"fieldId\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"provenance\": \"<unknown>\"\n }\n ],\n \"answerDeletes\": [\n {\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\"\n }\n ],\n \"answerUpserts\": [\n {\n \"assetId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"checkpoint\": true,\n \"taxonomyVersion\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/version-graph/annotations/commit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branchId\": \"<string>\",\n \"deletes\": [\n \"<string>\"\n ],\n \"idempotencyKey\": \"<string>\",\n \"message\": \"<string>\",\n \"projectId\": \"<string>\",\n \"upserts\": [\n {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"geometry\": {\n \"kind\": \"landmark\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n },\n \"note\": \"<string>\",\n \"answers\": [\n {\n \"fieldId\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"provenance\": \"<unknown>\"\n }\n ],\n \"answerDeletes\": [\n {\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\"\n }\n ],\n \"answerUpserts\": [\n {\n \"assetId\": \"<string>\",\n \"fieldId\": \"<string>\",\n \"scopeKey\": \"<string>\",\n \"value\": {\n \"kind\": \"boolean\",\n \"value\": true\n }\n }\n ],\n \"checkpoint\": true,\n \"taxonomyVersion\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"commit": {
"accountId": "<string>",
"ambiguousBase": true,
"authorPrincipalSubject": "<string>",
"authorPrincipalType": "agent",
"branchId": "<string>",
"commitId": "<string>",
"committedAt": "2023-11-07T05:31:56Z",
"contentRoot": "<string>",
"eventRange": {
"fromSeq": 123,
"toSeq": 123
},
"eventRangeDigest": "<string>",
"kind": "annotate",
"message": "<string>",
"parentCommitIds": [
"<string>"
],
"projectId": "<string>",
"authorPrincipalIssuer": "<string>",
"authorPrincipalName": "<string>",
"authorPrincipalEmail": "<string>",
"messageDisplay": "<string>"
},
"kind": "committed"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}